com.amazonaws.codegen.model.intermediate

## Class ReturnTypeModel

- java.lang.Object
- - com.amazonaws.codegen.model.intermediate.ReturnTypeModel

    public class ReturnTypeModel
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ReturnTypeModel(String returnType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDocumentation()`
`String` `getReturnType()`
`void` `setDocumentation(String documentation)`
`void` `setReturnType(String returnType)`
`ReturnTypeModel` `withDocumentation(String documentation)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReturnTypeModel

    public ReturnTypeModel(String returnType)

### Method Detail

#### getReturnType

    public String getReturnType()

#### setReturnType

    public void setReturnType(String returnType)

#### getDocumentation

    public String getDocumentation()

#### setDocumentation

    public void setDocumentation(String documentation)

#### withDocumentation

    public ReturnTypeModel withDocumentation(String documentation)